org.apache.felix.bundlerepository.impl

## Class Activator

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends java.lang.Object
    implements org.osgi.framework.BundleActivator

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

Methods
`static org.osgi.framework.BundleContext` `getContext()`
`static void` `log(int level, java.lang.String message)`
`static void` `log(int level, java.lang.String message, java.lang.Throwable exception)`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### getContext

    public static org.osgi.framework.BundleContext getContext()

#### log

    public static void log(int level,
           java.lang.String message)

#### log

    public static void log(int level,
           java.lang.String message,
           java.lang.Throwable exception)

#### start

    public void start(org.osgi.framework.BundleContext context)

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`

#### stop

    public void stop(org.osgi.framework.BundleContext context)

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`